	FUNCTION GSWDTH(SIZE)
C
C	This function returns the width in virtual coordinates of
C	a character.  If SIZE=0 then the current character size is assumed.
C
	INCLUDE GCCPAR.PRM
C
	EXTERNAL LEN
C
	TEMP = SIZE*GSCHIT()
	IF (TEMP .EQ. 0.0) TEMP = CSIZE
	GSWDTH = GSCWID()*TEMP
	RETURN
	END
